Visual Studio Sample

Visual Studio

Explore the Samples

Visual Studio includes hundreds of samples, large and small, demonstrating key technologies and programming techniques. Every tool in the Visual Studio suite includes product-specific samples, which you can explore by clicking any of the links on the right side of this page. In addition, Visual Studio ships its own sample, Island Hopper News, which showcases how to combine Microsoft tools and technologies to build a distributed application. Click the link on the right to find out more about Island Hopper News.

Back to the Visual Studio Start Page

Island Hopper News Sample

Find out about Island Hopper News, the Visual Studio sample. Choose an implementation that fits your skills and experience.

Visual Basic Samples

Click here to access samples specific to Visual Basic.

Visual C++ Samples

Click here to access samples specific to Visual C++.

Visual FoxPro Samples

Click here to access samples specific to Visual FoxPro.

Visual InterDev Samples

Click here to access samples specific to Visual InterDev.

Visual J++ Samples

Click here to access samples specific to Visual J++.


Island Hopper News Sample

The Microsoft Visual Studio 6.0 sample application, Island Hopper News, illustrates how you can design and structure applications using the Microsoft platform and the Visual Studio suite.

Island Hopper News is a fictitious online newspaper, designed to be published on the World Wide Web. It features local, national, and international news; local sports; and local classified ads. Only part of the Island Hopper News application is implemented as the Visual Studio 6.0 sample application: the classified ad section. Not all the functionality you might want or expect is present. The sample was implemented this way to provide the best example for you — the parts from which you can extrapolate to build an application that suits your own needs and purposes.

The sample is available in two different versions, called "levels." Each level corresponds to a different user skill set and level of experience. Level A is a small-scale version of the application, suitable for a company intranet. Level C is an enterprise-scale version of the application, suitable for the Internet. Both levels include client applications, business and data access components, and databases.

You can install and work with either level of the sample. Level C builds upon the knowledge and skills demonstrated in level A.

The sample is shipped on the MSDN Library CD. You can find it in Disk1\Samples\Vs98. To copy the files for the sample to your local drive, run the MSDN Library Setup program, choose the Custom install option, and select the Island Hopper Samples check box.

Island Hopper News, Level A

Choose this level if you want to see the most basic form of the Island Hopper News classified ads application. Level A is a simple application that allows you to browse and place classified ads.

Technologies

Level A is a client/server application with two front ends, or clients: a traditional Windows client developed using Microsoft Visual Basic, and a Web client developed with Microsoft Visual InterDev. In level A, classified ads data is stored in a Microsoft Jet database (the engine used with Microsoft Access) with a file extension of .mdb. Level A also includes simple use of Component Object Model (COM) components to illustrate the encapsulation of business rules. The components were developed using Visual Basic.

Installation

Installation and configuration instructions for level A of Island Hopper News are available in the readme file for level A. You can find this file in one of two places:

  • If you have not copied the sample files from the MSDN Library CD to your local drive, look on the MSDN Library CD in Disk1\Samples\VS98\samplea\readmea.htm.

  • If you have copied the sample files from the MSDN Library CD to your local drive, look in Program Files\Microsoft Visual Studio\MSDN98\98VS\1033\Samples\SampleA\readmea.htm.

Island Hopper News, Level C

Choose this level if you want to see how to transition an internal Web application to an external public Internet application. Level C illustrates how Island Hopper Publishing (the parent company of Island Hopper News) moved its classified ads application to its external Web site. Level C builds in the concepts of customer and invoice tracking to support classified ads (and other parts of the company's line of business). For purposes of the sample, only a slice of a fully developed working application is shown — the parts that comprise the classified ads function.

Technologies

Level C is a full-blown enterprise application that makes full use of Microsoft Transaction Server (MTS), Internet Information Server (IIS), and SQL Server. Like Level A, Level C is a client/server application with two clients: a traditional Windows client developed using Visual Basic, and a Web client developed with Visual InterDev. In Level C, however, each client serves a different user:

  • Island Hopper Publishing company employees use the Windows client to maintain customer records, track invoices, and track payments.

  • Island Hopper Publishing customers use the Web client to browse and place classified ads in Island Hopper News.

Level C demonstrates more complex use of COM components for encapsulation of business rules and data access. Many of the components were developed using Visual Basic; some were developed using Visual C++.

Installation

Installation and configuration instructions for level C of Island Hopper News are available in the readme file for level C. You can find this file in one of two places:

  • If you have not copied the sample files from the MSDN Library CD to your local drive, look on the MSDN Library CD in Disk1\Samples\VS98\samplec\readmec.htm.

  • If you have copied the sample files from the MSDN Library CD to your local drive, look in Program Files\Microsoft Visual Studio\MSDN98\98VS\1033\Samples\SampleC\readmec.htm.


Topic Not Found

No matching topic was found. Some possible reasons and remedies are as follows:

  • The file (.chm) that contains the destination topic is not in the expected location.

    Remedy: Rerun the MSDN Library Setup.

  • The file (.chm) that contains the current topic or destination topic is out-of-date and the link is no longer valid.

    Remedy: Install the latest version of the MSDN Library.

  • The MSDN Library CD is not in the CD-ROM drive.

    Remedy: Insert the MSDN Library CD into the CD-ROM drive.